## r-bioc-aroma.light 2.4.0

=== DESCRIPTION ===
Package: aroma.light
Version: 2.4.0
Depends: R (>= 2.14.0)
Imports: R.methodsS3 (>= 1.6.1), R.oo (>= 1.18.0), R.utils (>= 1.34.0),
        matrixStats (>= 0.14.0)
Suggests: princurve (>= 1.1-12)
Date: 2015-02-18
Title: Light-weight Methods for Normalization and Visualization of
        Microarray Data using Only Basic R Data Types
Authors@R: c(
  person("Henrik", "Bengtsson", role=c("aut", "cre", "cph"),
                               email = "henrikb@braju.com"),
  person("Pierre", "Neuvial", role="ctb"))
Description: Methods for microarray analysis that take basic data types such as matrices and lists of vectors.  These methods can be used standalone, be utilized in other packages, or be wrapped up in higher-level classes.
License: GPL (>= 2)
biocViews: Infrastructure, Microarray, OneChannel, TwoChannel,
        MultiChannel, Visualization, Preprocessing
URL: http://www.aroma-project.org/,
        https://github.com/HenrikBengtsson/aroma.light/
BugReports: https://github.com/HenrikBengtsson/aroma.light/issues
LazyLoad: TRUE
Encoding: latin1
NeedsCompilation: no
Packaged: 2015-04-17 02:21:52 UTC; biocbuild
Author: Henrik Bengtsson [aut, cre, cph],
  Pierre Neuvial [ctb]
Maintainer: Henrik Bengtsson <henrikb@braju.com>

=== debian/changelog ===
r-bioc-aroma.light (2.4.0-1) unstable; urgency=low

  * Initial release (closes: #793992)

 -- Andreas Tille <tille@debian.org>  Wed, 29 Jul 2015 19:59:59 +0200

=== debian/watch ===
version=3
opts=downloadurlmangle=s/\.\./packages\/release\/bioc/ \
 http://www.bioconductor.org/packages/release/bioc/html/aroma.light.html .*/aroma.light_([\d\.]+)\.tar\.gz

## r-bioc-aroma.light 3.0.0

=== DESCRIPTION ===
Package: aroma.light
Version: 3.0.0
Depends: R (>= 2.14.0)
Imports: R.methodsS3 (>= 1.7.0), R.oo (>= 1.19.0), R.utils (>= 2.1.0),
        matrixStats (>= 0.14.2)
Suggests: princurve (>= 1.1-12)
Date: 2015-10-06
Title: Light-Weight Methods for Normalization and Visualization of
        Microarray Data using Only Basic R Data Types
Authors@R: c(
  person("Henrik", "Bengtsson", role=c("aut", "cre", "cph"),
                               email = "henrikb@braju.com"),
  person("Pierre", "Neuvial", role="ctb"))
Description: Methods for microarray analysis that take basic data types such as matrices and lists of vectors.  These methods can be used standalone, be utilized in other packages, or be wrapped up in higher-level classes.
License: GPL (>= 2)
biocViews: Infrastructure, Microarray, OneChannel, TwoChannel,
        MultiChannel, Visualization, Preprocessing
URL: https://github.com/HenrikBengtsson/aroma.light,
        http://www.aroma-project.org
BugReports: https://github.com/HenrikBengtsson/aroma.light/issues
LazyLoad: TRUE
Encoding: latin1
NeedsCompilation: no
Packaged: 2015-10-14 00:49:25 UTC; biocbuild
Author: Henrik Bengtsson [aut, cre, cph],
  Pierre Neuvial [ctb]
Maintainer: Henrik Bengtsson <henrikb@braju.com>

=== debian/changelog ===
r-bioc-aroma.light (3.0.0-1) unstable; urgency=medium

  * New upstream version
  * Exclude tests requiring external functions

 -- Andreas Tille <tille@debian.org>  Sun, 08 Nov 2015 19:39:53 +0100

=== debian/control ===
Source: r-bioc-aroma.light
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Priority: optional
Build-Depends: debhelper (>= 9),
               cdbs,
               r-base-dev,
               r-cran-r.methodss3,
               r-cran-matrixstats (>= 0.14.0),
               r-cran-r.utils
Standards-Version: 3.9.6
Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/R/r-bioc-aroma.light/trunk/
Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/R/r-bioc-aroma.light/trunk/
Homepage: http://bioconductor.org/packages/release/bioc/html/aroma.light.html

Package: r-bioc-aroma.light
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends},
         r-cran-r.methodss3,
         r-cran-matrixstats (>= 0.14.0),
         r-cran-r.utils
Description: BioConductor methods normalization and visualization of microarray data
 This BioConductor module provides light-weight methods for
 normalization and visualization of microarray data using only basic R
 data types.
 .
 Methods for microarray analysis that take basic data types such as
 matrices and lists of vectors. These methods can be used standalone, be
 utilized in other packages, or be wrapped up in higher-level classes.

=== debian/rules ===
#!/usr/bin/make -f

debRreposname=bioc
include /usr/share/R/debian/r-cran.mk

install/$(package)::
	mkdir -p debian/$(package)/usr/share/pixmaps/$(cranName)
	for png in `find debian/$(package)/usr/lib/R/site-library/$(cranName) -name "*.png"` ; do \
	    mv $${png} debian/$(package)/usr/share/pixmaps/$(cranName) ; \
	    ln -s /usr/share/pixmaps/$(cranName)/`basename $${png}` $${png} ; \
	done

=== debian/watch ===
version=3
opts=downloadurlmangle=s?^(.*)\.\.?http:$1packages/release/bioc? \
 http://www.bioconductor.org/packages/release/bioc/html/aroma.light.html .*/aroma.light_([\d\.]+)\.tar\.gz

## r-bioc-aroma.light 3.2.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Package: aroma.light
-Version: 3.0.0
-Depends: R (>= 2.14.0)
-Imports: R.methodsS3 (>= 1.7.0), R.oo (>= 1.19.0), R.utils (>= 2.1.0),
-        matrixStats (>= 0.14.2)
+Version: 3.2.0
+Depends: R (>= 2.15.2)
+Imports: R.methodsS3 (>= 1.7.0), R.oo (>= 1.19.0), R.utils (>= 2.2.0),
+        matrixStats (>= 0.50.1)
 Suggests: princurve (>= 1.1-12)
-Date: 2015-10-06
+Date: 2016-01-06
 Title: Light-Weight Methods for Normalization and Visualization of
         Microarray Data using Only Basic R Data Types
 Authors@R: c(
@@ -21,7 +21,7 @@
 LazyLoad: TRUE
 Encoding: latin1
 NeedsCompilation: no
-Packaged: 2015-10-14 00:49:25 UTC; biocbuild
+Packaged: 2016-05-04 02:53:02 UTC; biocbuild
 Author: Henrik Bengtsson [aut, cre, cph],
   Pierre Neuvial [ctb]
 Maintainer: Henrik Bengtsson <henrikb@braju.com>

=== debian/changelog ===
r-bioc-aroma.light (3.2.0-1) unstable; urgency=medium

  * New upstream version
  * cme fix dpkg-control
  * Bump versioned (Build-)Depends: r-cran-matrixstats (>= 0.50.1)

 -- Andreas Tille <tille@debian.org>  Thu, 19 May 2016 16:11:47 +0200

r-bioc-aroma.light (3.0.0-2) unstable; urgency=medium

  * Autopkgtest would need r-cran-princurve.  Add this not yet packaged
    R package to Suggests and remove those parts from the test suite that
    are depending from it
  * cme fix dpkg-control

 -- Andreas Tille <tille@debian.org>  Thu, 28 Apr 2016 10:52:20 +0200

=== debian/control ===
--- 
+++ 
@@ -7,10 +7,10 @@
                cdbs,
                r-base-dev,
                r-cran-r.methodss3,
-               r-cran-matrixstats (>= 0.14.0),
+               r-cran-matrixstats (>= 0.50.1),
                r-cran-r.utils
-Standards-Version: 3.9.6
-Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/R/r-bioc-aroma.light/trunk/
+Standards-Version: 3.9.8
+Vcs-Browser: https://anonscm.debian.org/viewvc/debian-med/trunk/packages/R/r-bioc-aroma.light/trunk/
 Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/R/r-bioc-aroma.light/trunk/
 Homepage: http://bioconductor.org/packages/release/bioc/html/aroma.light.html
 
@@ -19,8 +19,9 @@
 Depends: ${R:Depends},
          ${misc:Depends},
          r-cran-r.methodss3,
-         r-cran-matrixstats (>= 0.14.0),
+         r-cran-matrixstats (>= 0.50.1),
          r-cran-r.utils
+Suggests: r-cran-princurve
 Description: BioConductor methods normalization and visualization of microarray data
  This BioConductor module provides light-weight methods for
  normalization and visualization of microarray data using only basic R

## r-bioc-aroma.light 3.4.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Package: aroma.light
-Version: 3.2.0
+Version: 3.4.0
 Depends: R (>= 2.15.2)
-Imports: R.methodsS3 (>= 1.7.0), R.oo (>= 1.19.0), R.utils (>= 2.2.0),
-        matrixStats (>= 0.50.1)
+Imports: R.methodsS3 (>= 1.7.1), R.oo (>= 1.20.0), R.utils (>= 2.4.0),
+        matrixStats (>= 0.50.2)
 Suggests: princurve (>= 1.1-12)
-Date: 2016-01-06
+Date: 2016-09-16
 Title: Light-Weight Methods for Normalization and Visualization of
         Microarray Data using Only Basic R Data Types
 Authors@R: c(
@@ -21,7 +21,7 @@
 LazyLoad: TRUE
 Encoding: latin1
 NeedsCompilation: no
-Packaged: 2016-05-04 02:53:02 UTC; biocbuild
+Packaged: 2016-10-17 22:15:07 UTC; biocbuild
 Author: Henrik Bengtsson [aut, cre, cph],
   Pierre Neuvial [ctb]
 Maintainer: Henrik Bengtsson <henrikb@braju.com>

=== debian/changelog ===
r-bioc-aroma.light (3.4.0-1) unstable; urgency=medium

  * New upstream version
  * Generic BioConductor homepage
  * Switch to dh-r
  * Versioned Build-Depends: r-cran-r.utils (>= 2.4.0)

 -- Andreas Tille <tille@debian.org>  Wed, 09 Nov 2016 09:40:07 +0100

=== debian/control ===
--- 
+++ 
@@ -4,24 +4,22 @@
 Section: gnu-r
 Priority: optional
 Build-Depends: debhelper (>= 9),
-               cdbs,
+               dh-r,
                r-base-dev,
                r-cran-r.methodss3,
                r-cran-matrixstats (>= 0.50.1),
-               r-cran-r.utils
+               r-cran-r.utils (>= 2.4.0)
 Standards-Version: 3.9.8
 Vcs-Browser: https://anonscm.debian.org/viewvc/debian-med/trunk/packages/R/r-bioc-aroma.light/trunk/
 Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/R/r-bioc-aroma.light/trunk/
-Homepage: http://bioconductor.org/packages/release/bioc/html/aroma.light.html
+Homepage: https://bioconductor.org/packages/aroma.light/
 
 Package: r-bioc-aroma.light
 Architecture: all
 Depends: ${R:Depends},
          ${misc:Depends},
-         r-cran-r.methodss3,
-         r-cran-matrixstats (>= 0.50.1),
-         r-cran-r.utils
-Suggests: r-cran-princurve
+Recommends: ${R:Recommends}
+Suggests: ${R:Suggests}
 Description: BioConductor methods normalization and visualization of microarray data
  This BioConductor module provides light-weight methods for
  normalization and visualization of microarray data using only basic R

## r-bioc-aroma.light 3.6.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Package: aroma.light
-Version: 3.4.0
+Version: 3.6.0
 Depends: R (>= 2.15.2)
-Imports: R.methodsS3 (>= 1.7.1), R.oo (>= 1.20.0), R.utils (>= 2.4.0),
-        matrixStats (>= 0.50.2)
+Imports: R.methodsS3 (>= 1.7.1), R.oo (>= 1.21.0), R.utils (>= 2.5.0),
+        matrixStats (>= 0.52.1)
 Suggests: princurve (>= 1.1-12)
-Date: 2016-09-16
+Date: 2017-04-14
 Title: Light-Weight Methods for Normalization and Visualization of
         Microarray Data using Only Basic R Data Types
 Authors@R: c(
@@ -20,8 +20,9 @@
 BugReports: https://github.com/HenrikBengtsson/aroma.light/issues
 LazyLoad: TRUE
 Encoding: latin1
+RoxygenNote: 6.0.1
 NeedsCompilation: no
-Packaged: 2016-10-17 22:15:07 UTC; biocbuild
+Packaged: 2017-04-24 22:32:59 UTC; biocbuild
 Author: Henrik Bengtsson [aut, cre, cph],
   Pierre Neuvial [ctb]
 Maintainer: Henrik Bengtsson <henrikb@braju.com>

=== debian/changelog ===
r-bioc-aroma.light (3.6.0-1build1) artful; urgency=medium

  * No-change rebuild to pick up r-api-3.4

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 28 Sep 2017 11:03:32 +0000

r-bioc-aroma.light (3.6.0-1) unstable; urgency=medium

  * New upstream version
  * Refresh remove_test_using_external_functions.patch
  * Bump versioned Build-Depends: r-cran-matrixstats (>= 0.52.1)

 -- Graham Inggs <ginggs@debian.org>  Mon, 15 May 2017 13:14:31 +0200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
                dh-r,
                r-base-dev,
                r-cran-r.methodss3,
-               r-cran-matrixstats (>= 0.50.1),
+               r-cran-matrixstats (>= 0.52.1),
                r-cran-r.utils (>= 2.4.0)
 Standards-Version: 3.9.8
 Vcs-Browser: https://anonscm.debian.org/viewvc/debian-med/trunk/packages/R/r-bioc-aroma.light/trunk/

## r-bioc-aroma.light 3.8.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: aroma.light
-Version: 3.6.0
+Version: 3.8.0
 Depends: R (>= 2.15.2)
 Imports: R.methodsS3 (>= 1.7.1), R.oo (>= 1.21.0), R.utils (>= 2.5.0),
         matrixStats (>= 0.52.1)
@@ -22,7 +22,7 @@
 Encoding: latin1
 RoxygenNote: 6.0.1
 NeedsCompilation: no
-Packaged: 2017-04-24 22:32:59 UTC; biocbuild
+Packaged: 2017-10-30 22:43:48 UTC; biocbuild
 Author: Henrik Bengtsson [aut, cre, cph],
   Pierre Neuvial [ctb]
 Maintainer: Henrik Bengtsson <henrikb@braju.com>

=== debian/changelog ===
r-bioc-aroma.light (3.8.0-1) unstable; urgency=medium

  * New upstream version
  * Secure URI in watch file
  * Remove unused override

 -- Andreas Tille <tille@debian.org>  Sat, 11 Nov 2017 08:25:07 +0100

r-bioc-aroma.light (3.6.0-2) unstable; urgency=medium

  * Moved packaging from SVN to Git
  * Standards-Version: 4.1.1
  * debhelper 10
  * Add lintian-override
  * Remove reference to remote JavaScript in TypesOfWeights.html since
    it does not seem to be used to avoid a potential privacy breach

 -- Andreas Tille <tille@debian.org>  Sun, 01 Oct 2017 08:18:08 +0200

=== debian/control ===
--- 
+++ 
@@ -3,21 +3,21 @@
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
 Priority: optional
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 10),
                dh-r,
                r-base-dev,
                r-cran-r.methodss3,
                r-cran-matrixstats (>= 0.52.1),
-               r-cran-r.utils (>= 2.4.0)
-Standards-Version: 3.9.8
-Vcs-Browser: https://anonscm.debian.org/viewvc/debian-med/trunk/packages/R/r-bioc-aroma.light/trunk/
-Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/R/r-bioc-aroma.light/trunk/
+               r-cran-r.utils
+Standards-Version: 4.1.1
+Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/r-bioc-aroma.light.git
+Vcs-Git: https://anonscm.debian.org/git/debian-med/r-bioc-aroma.light.git
 Homepage: https://bioconductor.org/packages/aroma.light/
 
 Package: r-bioc-aroma.light
 Architecture: all
 Depends: ${R:Depends},
-         ${misc:Depends},
+         ${misc:Depends}
 Recommends: ${R:Recommends}
 Suggests: ${R:Suggests}
 Description: BioConductor methods normalization and visualization of microarray data

=== debian/rules ===
#!/usr/bin/make -f

debRreposname   := $(shell dpkg-parsechangelog | awk '/^Source:/ {print $$2}' | sed 's/r-\([a-z]\+\)-.*/\1/')
awkString       := "'/^(Package|Bundle):/ {print $$2 }'"
cranNameOrig    := $(shell awk "$(awkString)" DESCRIPTION)
cranName        := $(shell echo "$(cranNameOrig)" | tr A-Z a-z)
package         := r-$(debRreposname)-$(cranName)

%:
	dh $@ --buildsystem R

override_dh_install:
	dh_install
	mkdir -p debian/$(package)/usr/share/pixmaps/$(cranName)
	for png in `find debian/$(package)/usr/lib/R/site-library/$(cranName) -name "*.png"` ; do \
	    mv $${png} debian/$(package)/usr/share/pixmaps/$(cranName) ; \
	    ln -s /usr/share/pixmaps/$(cranName)/`basename $${png}` $${png} ; \
	done

## r-bioc-aroma.light 3.10.0

=== DESCRIPTION ===
Package: aroma.light
Version: 3.10.0
Depends: R (>= 2.15.2)
Imports: stats, R.methodsS3 (>= 1.7.1), R.oo (>= 1.21.0), R.utils (>=
        2.6.0), matrixStats (>= 0.52.2)
Suggests: princurve (>= 1.1-12)
Date: 2017-12-19
Title: Light-Weight Methods for Normalization and Visualization of
        Microarray Data using Only Basic R Data Types
Authors@R: c(
  person("Henrik", "Bengtsson", role = c("aut", "cre", "cph"),
                               email = "henrikb@braju.com"),
  person("Pierre", "Neuvial", role = "ctb"),
  person("Aaron", "Lun", role = "ctb"))
Description: Methods for microarray analysis that take basic data types such as matrices and lists of vectors.  These methods can be used standalone, be utilized in other packages, or be wrapped up in higher-level classes.
License: GPL (>= 2)
biocViews: Infrastructure, Microarray, OneChannel, TwoChannel,
        MultiChannel, Visualization, Preprocessing
URL: https://github.com/HenrikBengtsson/aroma.light,
        http://www.aroma-project.org
BugReports: https://github.com/HenrikBengtsson/aroma.light/issues
LazyLoad: TRUE
Encoding: latin1
RoxygenNote: 6.0.1
NeedsCompilation: no
Packaged: 2018-04-30 22:50:17 UTC; biocbuild
Author: Henrik Bengtsson [aut, cre, cph],
  Pierre Neuvial [ctb],
  Aaron Lun [ctb]
Maintainer: Henrik Bengtsson <henrikb@braju.com>

=== debian/changelog ===
r-bioc-aroma.light (3.10.0-3) unstable; urgency=medium

  * Rebuild for R 3.5 transition

 -- Andreas Tille <tille@debian.org>  Sat, 02 Jun 2018 08:44:35 +0200

r-bioc-aroma.light (3.10.0-2) unstable; urgency=medium

  * Point Vcs-fields to Salsa
  * Do not parse d/changelog

 -- Andreas Tille <tille@debian.org>  Sat, 05 May 2018 22:03:47 +0200

r-bioc-aroma.light (3.10.0-1) unstable; urgency=medium

  * New upstream version
  * debhelper 11
  * Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-
    lists.debian.net>
  * dh-update-R to update Build-Depends
  * Standards-Version: 4.1.4

 -- Andreas Tille <tille@debian.org>  Fri, 04 May 2018 10:51:26 +0200

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,18 @@
 Source: r-bioc-aroma.light
-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
+Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
 Priority: optional
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper (>= 11~),
                dh-r,
                r-base-dev,
-               r-cran-r.methodss3,
-               r-cran-matrixstats (>= 0.52.1),
-               r-cran-r.utils
-Standards-Version: 4.1.1
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/r-bioc-aroma.light.git
-Vcs-Git: https://anonscm.debian.org/git/debian-med/r-bioc-aroma.light.git
+               r-cran-r.methodss3 (>= 1.7.1),
+               r-cran-r.oo,
+               r-cran-r.utils (>= 2.6.0),
+               r-cran-matrixstats (>= 0.52.2)
+Standards-Version: 4.1.4
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-aroma.light
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-aroma.light.git
 Homepage: https://bioconductor.org/packages/aroma.light/
 
 Package: r-bioc-aroma.light

## r-bioc-aroma.light 3.12.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Package: aroma.light
-Version: 3.10.0
+Version: 3.12.0
 Depends: R (>= 2.15.2)
-Imports: stats, R.methodsS3 (>= 1.7.1), R.oo (>= 1.21.0), R.utils (>=
-        2.6.0), matrixStats (>= 0.52.2)
-Suggests: princurve (>= 1.1-12)
-Date: 2017-12-19
+Imports: stats, R.methodsS3 (>= 1.7.1), R.oo (>= 1.22.0), R.utils (>=
+        2.7.0), matrixStats (>= 0.54.0)
+Suggests: princurve (>= 2.1.2)
+Date: 2018-09-04
 Title: Light-Weight Methods for Normalization and Visualization of
         Microarray Data using Only Basic R Data Types
 Authors@R: c(
@@ -21,9 +21,13 @@
 BugReports: https://github.com/HenrikBengtsson/aroma.light/issues
 LazyLoad: TRUE
 Encoding: latin1
-RoxygenNote: 6.0.1
+git_url: https://git.bioconductor.org/packages/aroma.light
+git_branch: RELEASE_3_8
+git_last_commit: e4cef05
+git_last_commit_date: 2018-10-30
+Date/Publication: 2018-10-30
 NeedsCompilation: no
-Packaged: 2018-04-30 22:50:17 UTC; biocbuild
+Packaged: 2018-10-30 22:53:33 UTC; biocbuild
 Author: Henrik Bengtsson [aut, cre, cph],
   Pierre Neuvial [ctb],
   Aaron Lun [ctb]

=== debian/changelog ===
r-bioc-aroma.light (3.12.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 18:15:22 +0800

r-bioc-aroma.light (3.12.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.2.1

 -- Dylan Aïssi <daissi@debian.org>  Wed, 14 Nov 2018 07:25:18 +0100

=== debian/control ===
--- 
+++ 
@@ -7,10 +7,10 @@
                dh-r,
                r-base-dev,
                r-cran-r.methodss3 (>= 1.7.1),
-               r-cran-r.oo,
-               r-cran-r.utils (>= 2.6.0),
-               r-cran-matrixstats (>= 0.52.2)
-Standards-Version: 4.1.4
+               r-cran-r.oo (>= 1.22.0),
+               r-cran-r.utils (>= 2.7.0),
+               r-cran-matrixstats (>= 0.54.0)
+Standards-Version: 4.2.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-aroma.light
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-aroma.light.git
 Homepage: https://bioconductor.org/packages/aroma.light/

=== debian/watch ===
version=4
opts=downloadurlmangle=s?^(.*)\.\.?http:$1packages/release/bioc? \
 https://www.bioconductor.org/packages/release/bioc/html/aroma.light.html .*/aroma.light_([\d\.]+)\.tar\.gz

## r-bioc-aroma.light 3.14.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: aroma.light
-Version: 3.12.0
+Version: 3.14.0
 Depends: R (>= 2.15.2)
 Imports: stats, R.methodsS3 (>= 1.7.1), R.oo (>= 1.22.0), R.utils (>=
         2.7.0), matrixStats (>= 0.54.0)
@@ -22,12 +22,12 @@
 LazyLoad: TRUE
 Encoding: latin1
 git_url: https://git.bioconductor.org/packages/aroma.light
-git_branch: RELEASE_3_8
-git_last_commit: e4cef05
-git_last_commit_date: 2018-10-30
-Date/Publication: 2018-10-30
+git_branch: RELEASE_3_9
+git_last_commit: 86ed144
+git_last_commit_date: 2019-05-02
+Date/Publication: 2019-05-02
 NeedsCompilation: no
-Packaged: 2018-10-30 22:53:33 UTC; biocbuild
+Packaged: 2019-05-02 23:43:04 UTC; biocbuild
 Author: Henrik Bengtsson [aut, cre, cph],
   Pierre Neuvial [ctb],
   Aaron Lun [ctb]

=== debian/changelog ===
r-bioc-aroma.light (3.14.0-1) unstable; urgency=medium

  * New upstream version
  * debhelper 12
  * Standards-Version: 4.3.0
  * Remove trailing whitespace in debian/copyright

 -- Andreas Tille <tille@debian.org>  Thu, 04 Jul 2019 16:41:42 +0200

=== debian/control ===
--- 
+++ 
@@ -3,14 +3,14 @@
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper (>= 12~),
                dh-r,
                r-base-dev,
                r-cran-r.methodss3 (>= 1.7.1),
                r-cran-r.oo (>= 1.22.0),
                r-cran-r.utils (>= 2.7.0),
                r-cran-matrixstats (>= 0.54.0)
-Standards-Version: 4.2.1
+Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-aroma.light
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-aroma.light.git
 Homepage: https://bioconductor.org/packages/aroma.light/

## r-bioc-aroma.light 3.16.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Package: aroma.light
-Version: 3.14.0
+Version: 3.16.0
 Depends: R (>= 2.15.2)
 Imports: stats, R.methodsS3 (>= 1.7.1), R.oo (>= 1.22.0), R.utils (>=
-        2.7.0), matrixStats (>= 0.54.0)
-Suggests: princurve (>= 2.1.2)
-Date: 2018-09-04
+        2.9.0), matrixStats (>= 0.54.0)
+Suggests: princurve (>= 2.1.4)
+Date: 2019-08-28
 Title: Light-Weight Methods for Normalization and Visualization of
         Microarray Data using Only Basic R Data Types
 Authors@R: c(
@@ -17,17 +17,17 @@
 biocViews: Infrastructure, Microarray, OneChannel, TwoChannel,
         MultiChannel, Visualization, Preprocessing
 URL: https://github.com/HenrikBengtsson/aroma.light,
-        http://www.aroma-project.org
+        https://www.aroma-project.org
 BugReports: https://github.com/HenrikBengtsson/aroma.light/issues
 LazyLoad: TRUE
 Encoding: latin1
 git_url: https://git.bioconductor.org/packages/aroma.light
-git_branch: RELEASE_3_9
-git_last_commit: 86ed144
-git_last_commit_date: 2019-05-02
-Date/Publication: 2019-05-02
+git_branch: RELEASE_3_10
+git_last_commit: fc16179
+git_last_commit_date: 2019-10-29
+Date/Publication: 2019-10-29
 NeedsCompilation: no
-Packaged: 2019-05-02 23:43:04 UTC; biocbuild
+Packaged: 2019-10-29 23:40:32 UTC; biocbuild
 Author: Henrik Bengtsson [aut, cre, cph],
   Pierre Neuvial [ctb],
   Aaron Lun [ctb]

=== debian/changelog ===
r-bioc-aroma.light (3.16.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Fixed debian/watch for BioConductor
  * debhelper-compat 12
  * Standards-Version: 4.4.1

 -- Dylan Aïssi <daissi@debian.org>  Sat, 09 Nov 2019 23:24:50 +0100

=== debian/control ===
--- 
+++ 
@@ -3,14 +3,14 @@
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
 Priority: optional
-Build-Depends: debhelper (>= 12~),
+Build-Depends: debhelper-compat (= 12),
                dh-r,
                r-base-dev,
                r-cran-r.methodss3 (>= 1.7.1),
                r-cran-r.oo (>= 1.22.0),
-               r-cran-r.utils (>= 2.7.0),
+               r-cran-r.utils (>= 2.9.0),
                r-cran-matrixstats (>= 0.54.0)
-Standards-Version: 4.3.0
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-aroma.light
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-aroma.light.git
 Homepage: https://bioconductor.org/packages/aroma.light/

## r-bioc-aroma.light 3.18.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Package: aroma.light
-Version: 3.16.0
+Version: 3.18.0
 Depends: R (>= 2.15.2)
-Imports: stats, R.methodsS3 (>= 1.7.1), R.oo (>= 1.22.0), R.utils (>=
-        2.9.0), matrixStats (>= 0.54.0)
+Imports: stats, R.methodsS3 (>= 1.7.1), R.oo (>= 1.23.0), R.utils (>=
+        2.9.0), matrixStats (>= 0.55.0)
 Suggests: princurve (>= 2.1.4)
-Date: 2019-08-28
 Title: Light-Weight Methods for Normalization and Visualization of
         Microarray Data using Only Basic R Data Types
 Authors@R: c(
@@ -22,12 +21,12 @@
 LazyLoad: TRUE
 Encoding: latin1
 git_url: https://git.bioconductor.org/packages/aroma.light
-git_branch: RELEASE_3_10
-git_last_commit: fc16179
-git_last_commit_date: 2019-10-29
-Date/Publication: 2019-10-29
+git_branch: RELEASE_3_11
+git_last_commit: cbe7b51
+git_last_commit_date: 2020-04-27
+Date/Publication: 2020-04-27
 NeedsCompilation: no
-Packaged: 2019-10-29 23:40:32 UTC; biocbuild
+Packaged: 2020-04-27 23:49:16 UTC; biocbuild
 Author: Henrik Bengtsson [aut, cre, cph],
   Pierre Neuvial [ctb],
   Aaron Lun [ctb]

=== debian/changelog ===
r-bioc-aroma.light (3.18.0-2build1) groovy; urgency=medium

  * No-change rebuild against r-api-4.0

 -- Graham Inggs <ginggs@ubuntu.com>  Sat, 30 May 2020 19:13:42 +0000

r-bioc-aroma.light (3.18.0-2) unstable; urgency=medium

  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Sun, 17 May 2020 18:38:06 +0200

r-bioc-aroma.light (3.18.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.5.0 (routine-update)
  * Testsuite: autopkgtest-pkg-r (routine-update)
  * autopkgtest: s/ADTTMP/AUTOPKGTEST_TMP/g (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)

 -- Dylan Aïssi <daissi@debian.org>  Sun, 17 May 2020 18:16:04 +0200

=== debian/control ===
--- 
+++ 
@@ -2,18 +2,20 @@
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
+Testsuite: autopkgtest-pkg-r
 Priority: optional
 Build-Depends: debhelper-compat (= 12),
                dh-r,
                r-base-dev,
                r-cran-r.methodss3 (>= 1.7.1),
-               r-cran-r.oo (>= 1.22.0),
+               r-cran-r.oo (>= 1.23.0),
                r-cran-r.utils (>= 2.9.0),
-               r-cran-matrixstats (>= 0.54.0)
-Standards-Version: 4.4.1
+               r-cran-matrixstats (>= 0.55.0)
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-aroma.light
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-aroma.light.git
 Homepage: https://bioconductor.org/packages/aroma.light/
+Rules-Requires-Root: no
 
 Package: r-bioc-aroma.light
 Architecture: all

## r-bioc-aroma.light 3.20.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: aroma.light
-Version: 3.18.0
+Version: 3.20.0
 Depends: R (>= 2.15.2)
 Imports: stats, R.methodsS3 (>= 1.7.1), R.oo (>= 1.23.0), R.utils (>=
         2.9.0), matrixStats (>= 0.55.0)
@@ -21,12 +21,12 @@
 LazyLoad: TRUE
 Encoding: latin1
 git_url: https://git.bioconductor.org/packages/aroma.light
-git_branch: RELEASE_3_11
-git_last_commit: cbe7b51
-git_last_commit_date: 2020-04-27
-Date/Publication: 2020-04-27
+git_branch: RELEASE_3_12
+git_last_commit: 02cde7f
+git_last_commit_date: 2020-10-27
+Date/Publication: 2020-10-27
 NeedsCompilation: no
-Packaged: 2020-04-27 23:49:16 UTC; biocbuild
+Packaged: 2020-10-27 22:23:57 UTC; biocbuild
 Author: Henrik Bengtsson [aut, cre, cph],
   Pierre Neuvial [ctb],
   Aaron Lun [ctb]

=== debian/changelog ===
r-bioc-aroma.light (3.20.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * debhelper-compat 13 (routine-update)

 -- Dylan Aïssi <daissi@debian.org>  Sat, 31 Oct 2020 17:06:30 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                r-cran-r.methodss3 (>= 1.7.1),

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,8 @@
 #!/usr/bin/make -f
 
-debRreposname   := $(shell dpkg-parsechangelog | awk '/^Source:/ {print $$2}' | sed 's/r-\([a-z]\+\)-.*/\1/')
+include /usr/share/dpkg/default.mk
+
+debRreposname   := $(shell echo $(DEB_SOURCE) | sed 's/r-\([a-z]\+\)-.*/\1/')
 awkString       := "'/^(Package|Bundle):/ {print $$2 }'"
 cranNameOrig    := $(shell awk "$(awkString)" DESCRIPTION)
 cranName        := $(shell echo "$(cranNameOrig)" | tr A-Z a-z)

## r-bioc-aroma.light 3.24.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: aroma.light
-Version: 3.20.0
+Version: 3.24.0
 Depends: R (>= 2.15.2)
 Imports: stats, R.methodsS3 (>= 1.7.1), R.oo (>= 1.23.0), R.utils (>=
         2.9.0), matrixStats (>= 0.55.0)
@@ -21,12 +21,12 @@
 LazyLoad: TRUE
 Encoding: latin1
 git_url: https://git.bioconductor.org/packages/aroma.light
-git_branch: RELEASE_3_12
-git_last_commit: 02cde7f
-git_last_commit_date: 2020-10-27
-Date/Publication: 2020-10-27
+git_branch: RELEASE_3_14
+git_last_commit: d0f8f2b
+git_last_commit_date: 2021-10-26
+Date/Publication: 2021-10-26
 NeedsCompilation: no
-Packaged: 2020-10-27 22:23:57 UTC; biocbuild
+Packaged: 2021-10-26 20:49:22 UTC; biocbuild
 Author: Henrik Bengtsson [aut, cre, cph],
   Pierre Neuvial [ctb],
   Aaron Lun [ctb]

=== debian/changelog ===
r-bioc-aroma.light (3.24.0-1) unstable; urgency=medium

  * Team Upload.
  [ Andreas Tille ]
  * Disable reprotest

  [ Nilesh Patra ]
  * New upstream version 3.24.0

 -- Nilesh Patra <nilesh@debian.org>  Wed, 24 Nov 2021 14:56:52 +0530

r-bioc-aroma.light (3.22.0-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on r-cran-matrixstats,
      r-cran-r.methodss3, r-cran-r.oo and r-cran-r.utils.

 -- Andreas Tille <tille@debian.org>  Wed, 01 Sep 2021 07:18:08 +0200

=== debian/control ===
--- 
+++ 
@@ -7,11 +7,11 @@
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
-               r-cran-r.methodss3 (>= 1.7.1),
-               r-cran-r.oo (>= 1.23.0),
-               r-cran-r.utils (>= 2.9.0),
-               r-cran-matrixstats (>= 0.55.0)
-Standards-Version: 4.5.0
+               r-cran-r.methodss3,
+               r-cran-r.oo,
+               r-cran-r.utils,
+               r-cran-matrixstats
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-aroma.light
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-aroma.light.git
 Homepage: https://bioconductor.org/packages/aroma.light/

## r-bioc-aroma.light 3.26.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: aroma.light
-Version: 3.24.0
+Version: 3.26.0
 Depends: R (>= 2.15.2)
 Imports: stats, R.methodsS3 (>= 1.7.1), R.oo (>= 1.23.0), R.utils (>=
         2.9.0), matrixStats (>= 0.55.0)
@@ -21,12 +21,12 @@
 LazyLoad: TRUE
 Encoding: latin1
 git_url: https://git.bioconductor.org/packages/aroma.light
-git_branch: RELEASE_3_14
-git_last_commit: d0f8f2b
-git_last_commit_date: 2021-10-26
-Date/Publication: 2021-10-26
+git_branch: RELEASE_3_15
+git_last_commit: 3aa4577
+git_last_commit_date: 2022-04-26
+Date/Publication: 2022-04-26
 NeedsCompilation: no
-Packaged: 2021-10-26 20:49:22 UTC; biocbuild
+Packaged: 2022-04-26 19:58:42 UTC; biocbuild
 Author: Henrik Bengtsson [aut, cre, cph],
   Pierre Neuvial [ctb],
   Aaron Lun [ctb]

=== debian/changelog ===
r-bioc-aroma.light (3.26.0-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Andreas Tille <tille@debian.org>  Thu, 12 May 2022 10:13:52 +0200

## r-bioc-aroma.light 3.28.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: aroma.light
-Version: 3.26.0
+Version: 3.28.0
 Depends: R (>= 2.15.2)
 Imports: stats, R.methodsS3 (>= 1.7.1), R.oo (>= 1.23.0), R.utils (>=
         2.9.0), matrixStats (>= 0.55.0)
@@ -21,12 +21,12 @@
 LazyLoad: TRUE
 Encoding: latin1
 git_url: https://git.bioconductor.org/packages/aroma.light
-git_branch: RELEASE_3_15
-git_last_commit: 3aa4577
-git_last_commit_date: 2022-04-26
-Date/Publication: 2022-04-26
+git_branch: RELEASE_3_16
+git_last_commit: a61bf3e
+git_last_commit_date: 2022-11-01
+Date/Publication: 2022-11-01
 NeedsCompilation: no
-Packaged: 2022-04-26 19:58:42 UTC; biocbuild
+Packaged: 2022-11-01 20:49:07 UTC; biocbuild
 Author: Henrik Bengtsson [aut, cre, cph],
   Pierre Neuvial [ctb],
   Aaron Lun [ctb]

=== debian/changelog ===
r-bioc-aroma.light (3.28.0-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Sun, 20 Nov 2022 10:02:09 +0100

=== debian/control ===
--- 
+++ 
@@ -8,10 +8,10 @@
                dh-r,
                r-base-dev,
                r-cran-r.methodss3,
-               r-cran-r.oo,
-               r-cran-r.utils,
-               r-cran-matrixstats
-Standards-Version: 4.6.0
+               r-cran-r.oo (>= 1.23.0),
+               r-cran-r.utils (>= 2.9.0),
+               r-cran-matrixstats (>= 0.55.0)
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-aroma.light
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-aroma.light.git
 Homepage: https://bioconductor.org/packages/aroma.light/

## r-bioc-aroma.light 3.30.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: aroma.light
-Version: 3.28.0
+Version: 3.30.0
 Depends: R (>= 2.15.2)
 Imports: stats, R.methodsS3 (>= 1.7.1), R.oo (>= 1.23.0), R.utils (>=
         2.9.0), matrixStats (>= 0.55.0)
@@ -21,12 +21,12 @@
 LazyLoad: TRUE
 Encoding: latin1
 git_url: https://git.bioconductor.org/packages/aroma.light
-git_branch: RELEASE_3_16
-git_last_commit: a61bf3e
-git_last_commit_date: 2022-11-01
-Date/Publication: 2022-11-01
+git_branch: RELEASE_3_17
+git_last_commit: 0fc5e85
+git_last_commit_date: 2023-04-25
+Date/Publication: 2023-04-25
 NeedsCompilation: no
-Packaged: 2022-11-01 20:49:07 UTC; biocbuild
+Packaged: 2023-04-25 20:11:01 UTC; biocbuild
 Author: Henrik Bengtsson [aut, cre, cph],
   Pierre Neuvial [ctb],
   Aaron Lun [ctb]

=== debian/changelog ===
r-bioc-aroma.light (3.30.0-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)
  * Reduce piuparts noise in transitions (routine-update)

 -- Andreas Tille <tille@debian.org>  Tue, 18 Jul 2023 07:22:47 +0200

=== debian/control ===
--- 
+++ 
@@ -8,10 +8,10 @@
                dh-r,
                r-base-dev,
                r-cran-r.methodss3,
-               r-cran-r.oo (>= 1.23.0),
-               r-cran-r.utils (>= 2.9.0),
-               r-cran-matrixstats (>= 0.55.0)
-Standards-Version: 4.6.1
+               r-cran-r.oo,
+               r-cran-r.utils,
+               r-cran-matrixstats
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-aroma.light
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-aroma.light.git
 Homepage: https://bioconductor.org/packages/aroma.light/

## r-bioc-aroma.light 3.32.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: aroma.light
-Version: 3.30.0
+Version: 3.32.0
 Depends: R (>= 2.15.2)
 Imports: stats, R.methodsS3 (>= 1.7.1), R.oo (>= 1.23.0), R.utils (>=
         2.9.0), matrixStats (>= 0.55.0)
@@ -21,12 +21,12 @@
 LazyLoad: TRUE
 Encoding: latin1
 git_url: https://git.bioconductor.org/packages/aroma.light
-git_branch: RELEASE_3_17
-git_last_commit: 0fc5e85
-git_last_commit_date: 2023-04-25
-Date/Publication: 2023-04-25
+git_branch: RELEASE_3_18
+git_last_commit: 21984e1
+git_last_commit_date: 2023-10-24
+Date/Publication: 2023-10-24
 NeedsCompilation: no
-Packaged: 2023-04-25 20:11:01 UTC; biocbuild
+Packaged: 2023-10-24 20:16:31 UTC; biocbuild
 Author: Henrik Bengtsson [aut, cre, cph],
   Pierre Neuvial [ctb],
   Aaron Lun [ctb]

=== debian/changelog ===
r-bioc-aroma.light (3.32.0-1) unstable; urgency=medium

  * New upstream version
  * Use d/t/autopkgtest-pkg-r.conf

 -- Andreas Tille <tille@debian.org>  Wed, 29 Nov 2023 16:04:29 +0100

=== debian/control ===
--- 
+++ 
@@ -1,21 +1,21 @@
 Source: r-bioc-aroma.light
+Section: gnu-r
+Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
-Section: gnu-r
-Testsuite: autopkgtest-pkg-r
-Priority: optional
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-aroma.light
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-aroma.light.git
+Homepage: https://bioconductor.org/packages/aroma.light/
+Standards-Version: 4.6.2
+Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
-               r-cran-r.methodss3,
-               r-cran-r.oo,
-               r-cran-r.utils,
-               r-cran-matrixstats
-Standards-Version: 4.6.2
-Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-aroma.light
-Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-aroma.light.git
-Homepage: https://bioconductor.org/packages/aroma.light/
-Rules-Requires-Root: no
+               r-cran-r.methodss3 (>= 1.7.1),
+               r-cran-r.oo (>= 1.23.0),
+               r-cran-r.utils (>= 2.9.0),
+               r-cran-matrixstats (>= 0.55.0)
+Testsuite: autopkgtest-pkg-r
 
 Package: r-bioc-aroma.light
 Architecture: all

## r-bioc-aroma.light 3.34.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: aroma.light
-Version: 3.32.0
+Version: 3.34.0
 Depends: R (>= 2.15.2)
 Imports: stats, R.methodsS3 (>= 1.7.1), R.oo (>= 1.23.0), R.utils (>=
         2.9.0), matrixStats (>= 0.55.0)
@@ -21,12 +21,13 @@
 LazyLoad: TRUE
 Encoding: latin1
 git_url: https://git.bioconductor.org/packages/aroma.light
-git_branch: RELEASE_3_18
-git_last_commit: 21984e1
-git_last_commit_date: 2023-10-24
-Date/Publication: 2023-10-24
+git_branch: RELEASE_3_19
+git_last_commit: 8ae145c
+git_last_commit_date: 2024-04-30
+Repository: Bioconductor 3.19
+Date/Publication: 2024-04-30
 NeedsCompilation: no
-Packaged: 2023-10-24 20:16:31 UTC; biocbuild
+Packaged: 2024-05-01 02:31:40 UTC; biocbuild
 Author: Henrik Bengtsson [aut, cre, cph],
   Pierre Neuvial [ctb],
   Aaron Lun [ctb]

=== debian/changelog ===
r-bioc-aroma.light (3.34.0-1) unstable; urgency=medium

  * Team upload.
  * Upload to unstable

 -- Michael R. Crusoe <crusoe@debian.org>  Fri, 16 Aug 2024 13:11:34 +0200

r-bioc-aroma.light (3.34.0-1~0exp) experimental; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)
  * Set upstream metadata fields: Archive.
  * d/tests/autopkgtest-pkg-r.conf: skip on 32-bit architectures.

 -- Michael R. Crusoe <crusoe@debian.org>  Sat, 13 Jul 2024 14:06:48 +0200

## r-bioc-aroma.light 3.36.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: aroma.light
-Version: 3.34.0
+Version: 3.36.0
 Depends: R (>= 2.15.2)
 Imports: stats, R.methodsS3 (>= 1.7.1), R.oo (>= 1.23.0), R.utils (>=
         2.9.0), matrixStats (>= 0.55.0)
@@ -21,13 +21,13 @@
 LazyLoad: TRUE
 Encoding: latin1
 git_url: https://git.bioconductor.org/packages/aroma.light
-git_branch: RELEASE_3_19
-git_last_commit: 8ae145c
-git_last_commit_date: 2024-04-30
-Repository: Bioconductor 3.19
-Date/Publication: 2024-04-30
+git_branch: RELEASE_3_20
+git_last_commit: d421a4e
+git_last_commit_date: 2024-10-29
+Repository: Bioconductor 3.20
+Date/Publication: 2024-10-29
 NeedsCompilation: no
-Packaged: 2024-05-01 02:31:40 UTC; biocbuild
+Packaged: 2024-10-29 23:27:22 UTC; biocbuild
 Author: Henrik Bengtsson [aut, cre, cph],
   Pierre Neuvial [ctb],
   Aaron Lun [ctb]

=== debian/changelog ===
r-bioc-aroma.light (3.36.0-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Michael R. Crusoe <crusoe@debian.org>  Sat, 11 Jan 2025 15:07:01 +0100

r-bioc-aroma.light (3.36.0-1) experimental; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)

 -- Michael R. Crusoe <crusoe@debian.org>  Fri, 08 Nov 2024 11:16:03 +0100

=== debian/control ===
--- 
+++ 
@@ -1,21 +1,21 @@
 Source: r-bioc-aroma.light
-Section: gnu-r
-Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
+Section: gnu-r
+Testsuite: autopkgtest-pkg-r
+Priority: optional
+Build-Depends: debhelper-compat (= 13),
+               dh-r,
+               r-base-dev,
+               r-cran-r.methodss3,
+               r-cran-r.oo,
+               r-cran-r.utils,
+               r-cran-matrixstats
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-aroma.light
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-aroma.light.git
 Homepage: https://bioconductor.org/packages/aroma.light/
-Standards-Version: 4.6.2
 Rules-Requires-Root: no
-Build-Depends: debhelper-compat (= 13),
-               dh-r,
-               r-base-dev,
-               r-cran-r.methodss3 (>= 1.7.1),
-               r-cran-r.oo (>= 1.23.0),
-               r-cran-r.utils (>= 2.9.0),
-               r-cran-matrixstats (>= 0.55.0)
-Testsuite: autopkgtest-pkg-r
 
 Package: r-bioc-aroma.light
 Architecture: all

=== debian/watch ===
version=4
opts=downloadurlmangle=s?^(.*)\.\.?https://bioconductor.org/packages/release/bioc? \
 https://www.bioconductor.org/packages/release/bioc/html/aroma.light.html .*/aroma.light_([\d\.]+)\.tar\.gz
